Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A project allowing GTK to use Qt widget styles
Name: 	 	gtk-qt-engine 
Group:	 	User Interface/Desktops
Version: 	1.1 
Release: 	3

License: 	GPLv2+
URL: 	 	http://gtk-qt.ecs.soton.ac.uk/
Source0: 	http://gtk-qt.ecs.soton.ac.uk/files/%{version}/gtk-qt-engine-%{version}.tar.bz2 
Patch0: 	gtk-qt-engine-1.1-env.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: 	cmake
BuildRequires: 	gettext
BuildRequires: 	libpng-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: kdelibs-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgcc
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt widget styles.

It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself. 


%prep
%setup -q  -n %{name}
%patch0 -p1

%build

%{cmake_kde4} .

make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mv %{buildroot}%{_kde4_libdir}/kde4/devel/kde4/kcm_gtk4.so \
   %{buildroot}%{_kde4_libdir}/kde4/kcm_gtk4.so

# locale's
%find_lang gtkqtengine 
# \ || touch gtkqtengine.lang

%clean
rm -rf $RPM_BUILD_ROOT


%files -f gtkqtengine.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_datadir}/themes/Qt4/
%{_datadir}/applications/kde4/kcmgtk4.desktop
%{_datadir}/icons/kcmgtk.png
%{_libdir}/gtk-2.0/*/engines/*
%{_kde4_libdir}/kde4/kcm_gtk4.so


%changelog
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1-3
- rebuilt against kdelibs 4.3.0
* Wed May 20 2009 Christian Metzen <metzench@ccux-linux.de> 1.1-2
- rebuild against latest kdelibs
* Wed Jun 18 2008 Christian Metzen <metzench@ccux-linux.de> 1.1-1
- Version update
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Version update
* Fri Jan 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.5-1
- Fixed Start Menu Appearance
* Fri Jan 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.5-1
- Initial Release
